<template>
  <div class="uikit-flex uikit-justify-between uikit-whitespace-nowrap uikit-text-12 leading-125">
    <div class="uikit-shrink-0 uikit-text-white uikit-text-opacity-50 uikit-mr-6">{{ label }}</div>
    <ui-text-placeholder
      class="uikit-shrink-0 uikit-text-white"
      :text="valueStr"
      :text-length="6"
    />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from 'vue'
import { UiTextPlaceholder } from '../UiTextPlaceholder'

export default defineComponent({
  props: {
    label: {
      type: String,
      required: true,
    },
    value: {
      type: Number,
    }
  },
  setup(props) {
    const valueStr = computed(() => {
      const { value } = props

      if (!value) {
        return undefined
      }

      return value.toLocaleString()
    })

    return { valueStr }
  },
  components: { UiTextPlaceholder },
})
</script>
